## AgsGenericMainLoop

AgsGenericMainLoop — generic loop

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsGenericMainLoop * | ags_generic_main_loop_new ()

## Types and Values

#define | AGS_GENERIC_MAIN_LOOP_DEFAULT_JIFFIE

## Object Hierarchy

        GObject
        ╰── AgsThread
            ╰── AgsGenericMainLoop

## Includes

    #include <ags/thread/ags_generic_main_loop.h>

## Description

The AgsGenericMainLoop is suitable as AgsMainLoop and does generic processing.

## Functions

### ags_generic_main_loop_new ()

    AgsGenericMainLoop *
    ags_generic_main_loop_new ();

Create a new AgsGenericMainLoop.

#### Returns

the new AgsGenericMainLoop

Since: 3.0.0

## Types and Values

### AGS_GENERIC_MAIN_LOOP_DEFAULT_JIFFIE

    #define AGS_GENERIC_MAIN_LOOP_DEFAULT_JIFFIE (AGS_THREAD_DEFAULT_JIFFIE)